# RSL_...z_to_r

### Synopsis

#include "rsl.h"
float RSL_z_to_r(float dbz, float k, float a);
Ray *RSL_ray_z_to_r(Volume *z_volume, float k, float a);
Sweep *RSL_sweep_z_to_r(Sweep *z_sweep, float k, float a);
Volume *RSL_volume_z_to_r(Ray *z_ray, float k, float a);

###

Description

RSL_volume_z_to_r calls RSL_sweep_z_to_r for the number of sweeps. RSL_sweep_z_to_r calls RSL_ray_z_to_r for the number of rays. RSL_ray_z_to_r calls RSL_z_to_r for the number of bins in the ray. RSL_z_to_r computes the function 1/a*(dbz - 10*log10(k)).

### Return value

Upon successful completion, a pointer to the appropriate structure is returned. Otherwise, a NULL pointer is returned and errno is set.

Author: John H. Merritt